.services {
    background-color: var(--color-accent-blue);
    color: var(--color-white);
    position: relative;
}

.services__container {
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 105px 0 230px;
    gap: 100px;
    position: relative;
}

.services__nav, .services__description {
    width: 49.5%;
    box-sizing: border-box;
    padding: 0 20px;
}

.services__nav::after {
    content: "";
    width: 1px;
    background-color: var(--color-white);
    height: 100%;
    position: absolute;
    left: 50%;
    top: 0;
    transform: translateX(-50%);
}

.services__list {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.services__item {
    margin-bottom: 10px;
}

.services__link {
    display: block;
    padding: 30px 0;
    border: 0;
    background-color: transparent;
    margin: 0;
    width: 100%;
    box-sizing: border-box;

    font-size: 22px;
    font-weight: 600;
    line-height: 29.26px;
    text-align: left;
    color: var(--color-white);
    position: relative;

    cursor: pointer;
    transition: background-color 0.3s ease;
    z-index: 2;

    text-decoration: none;
}

.services__link::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 10px;
    width: 100%;
    height: 100%;
    background-color: transparent;
    transition: transform 0.3s ease, background-color 0.3s ease;
    transform: translateX(0);
}

.services__link.active::after {
    width: calc(100% + 80px);
    background-color: var(--color-accent-pink);
    transform: translateX(-40px);
    z-index: -1;
}

.services__link:hover::after {
    width: calc(100% + 80px);
    transform: translateX(-40px);
    background-color: var(--color-accent-pink-opacity-5);
    z-index: -1;
}

.services__navContainer {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 8px;
    margin: 10px 0 50px;
}

.services__counter {
    display: flex;
    gap: 10px;
    align-items: baseline;
    font-size: 14px;
    font-weight: 600;
    line-height: 17px;
}

.services__currentCounter {
    font-size: 24px;
    font-weight: 600;
    opacity: 1;
    display: block;
}

.services__maxCounter {
    display: block;
    opacity: .5;
}

.services__currentTitle {
    font-size: 20px;
    font-weight: 600;
    line-height: 24.38px;
    margin: 0;
    width: 347px;
}

.services__prevButton, .services__nextButton {
    width: 41px;
    height: 41px;
    border-radius: 20px;
    cursor: pointer;
}

.services__imgContainer {
    width: 200px;
    height: 200px;
    display: flex;
    align-items: center;
}

.services__img {
    width: 80%;
}

.services__paragraph {
    font-size: 32px;
    font-weight: 700;
    line-height: 39px;
    margin: 0;
}

@media screen and (max-width: 1300px) {
    .services__container {
        padding: 57px 0 120px;
        gap: 57px;
    }

    .services__container {
        flex-direction: column;
    }

    .services__nav, .services__description {
        width: 100%;
    }

    .services__nav {
        padding: 0;
    }

    .services__list {
        padding: 0 15px;
    }

    .services__link {
        font-size: 14px;
        line-height: 17.07px;
        padding: 15px 0;
    }

    .services__link:hover::after {
        width: calc(100% + 30px);
        background-color: var(--color-accent-pink);
        z-index: -1;
        transform: translateX(-15px);
    }

    .services__link.active::after {
        width: calc(100% + 30px);
        background-color: var(--color-accent-pink);
        z-index: -1;
        transform: translateX(-15px);
    }

    .services__nav::after {
        display: none;
    }

    .services__description {
        padding: 0;
    }

    .services::after {
        content: "";
        width: 100%;
        background-color: var(--color-white);
        height: 1px;
        position: absolute;
        left: 0;
        top: 48%;
        transform: translateY(-50%);
    }

    .services__paragraph {
        font-size: 16px;
        line-height: 24px;
    }

    .services__img {
        width: 148px;
        height: 148px;
    }

    .services__currentTitle {
        font-size: 14px;
        line-height: 17.07px;
        max-width: 224px;
    }

    .services__navContainer {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        padding-top: 8px;
        align-items: center;
        gap: 20px;
        padding-bottom: 0;
        margin-bottom: 20px;
    }

    .services__counter {
        order: 2;
        margin-top: 0;
    }

    .services__currentTitle {
        order: 1;
    }

    .services__links {
        order: 0;
        margin-bottom: 0;
    }
}

@media screen and (max-width: 458px) {
    .services::after {
        top: 40%;
    }
}